#include	<stdio.h>

/*
	g128 - generate 128 x 128 picture from quadrants

	Carl Crawford
	Purdue University
	W. Lafayette, IN 47907

	March 23, 1980

*/

/*
	syntax: g128

	output file: pic.r
	input file: pic.r.[1234]
*/

char	*ifn =	"pic.r.1";
FILE	*ofd,*ifd[5];

main()
{
	register	i;
	float	c[128];

	for(i=0;i<4;i++){
		ifn[6] = '1' + i;
		if((ifd[i+1] = fopen(ifn,"r")) == NULL){
			fprintf(stderr,"can't open: %s\n",ifn);
			exit(1);
		}
	}
	if((ofd = fopen("pic.r","w")) == NULL){
		fprintf(stderr,"can't create: pic.r\n");
		exit(1);
	}
	for(i=0;i<64;i++){
		fread(c,sizeof(float),64,ifd[2]);
		fread(c+64,sizeof(float),64,ifd[1]);
		fwrite(c,sizeof(float),128,ofd);
	}
	for(i=0;i<64;i++){
		fread(c,sizeof(float),64,ifd[3]);
		fread(c+64,sizeof(float),64,ifd[4]);
		fwrite(c,sizeof(float),128,ofd);
	}
}
